Package logilab :: Package common :: Module shellutils :: Class ProgressBar

[frames] | no frames]

# Class ProgressBar

source code

    object --+
             |
            ProgressBar

    A simple text progression bar.

Instance Methods

__init__(self, nbops, size=20, stream=sys.stdout, title='') x.__init__(...) initializes x; see help(type(x)) for signature | source code

update(self, offset=1, exact=False) Move FORWARD to new cursor position (cursor will never go backward). | source code

refresh(self) Refresh the progression bar display. | source code

finish(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| text = `property(_get_text, _set_text, _del_text)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, nbops, size=20, stream=sys.stdout, title='')
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### update(self, offset=1, exact=False)

source code

    Move FORWARD to new cursor position (cursor will never go backward).

    :offset: fraction of ``size``

    :exact:

      - False: offset relative to current cursor position if True
      - True: offset as an asbsolute position